org.apache.ignite.internal.processors.query

## Class IgniteSQLException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.apache.ignite.IgniteException
        - - org.apache.ignite.internal.processors.query.IgniteSQLException

All Implemented Interfaces:
  Serializable

    public class IgniteSQLException
    extends IgniteException

Specific exception bearing information about query processing errors for more detailed errors in JDBC driver.

See Also:
  `IgniteQueryErrorCode`, Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`IgniteSQLException(SQLException cause)` Constructor.
`IgniteSQLException(String msg)` Constructor.
`IgniteSQLException(String msg, int statusCode)` Constructor.
`IgniteSQLException(String msg, int statusCode, String sqlState)` Constructor.
`IgniteSQLException(String msg, int statusCode, @Nullable Throwable cause)` Constructor.
`IgniteSQLException(String msg, @Nullable Throwable cause)` Constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `sqlState()` `SQLException.SQLState` getter.
`int` `statusCode()`
`SQLException` `toJdbcException()`

### Methods inherited from class org.apache.ignite.IgniteException

`getCause, hasCause, toString`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### IgniteSQLException

    public IgniteSQLException(String msg)

Constructor.

Parameters:
  `msg` - Exception message.

#### IgniteSQLException

    public IgniteSQLException(SQLException cause)

Constructor.

Parameters:
  `cause` - Cause to throw this exception.

#### IgniteSQLException

    public IgniteSQLException(String msg,
                              @Nullable
                              @Nullable Throwable cause)

Constructor.

Parameters:
  `msg` - Exception message.
  `cause` - Cause to throw this exception.

#### IgniteSQLException

    public IgniteSQLException(String msg,
                              int statusCode,
                              @Nullable
                              @Nullable Throwable cause)

Constructor.

Parameters:
  `msg` - Exception message.
  `statusCode` - Ignite specific error code.
  `cause` - Cause to throw this exception.
See Also:
  `IgniteQueryErrorCode`

#### IgniteSQLException

    public IgniteSQLException(String msg,
                              int statusCode)

Constructor.

Parameters:
  `msg` - Exception message.
  `statusCode` - Ignite specific error code.
See Also:
  `IgniteQueryErrorCode`

#### IgniteSQLException

    public IgniteSQLException(String msg,
                              int statusCode,
                              String sqlState)

Constructor.

Parameters:
  `msg` - Exception message.
  `statusCode` - Ignite specific error code.
  `sqlState` - SQLSTATE standard code.
See Also:
  `IgniteQueryErrorCode`

### Method Detail

#### statusCode

    public int statusCode()

Returns:
  Ignite SQL error code.

#### sqlState

    public String sqlState()

`SQLException.SQLState` getter.

Returns:
  `SQLException.SQLState`.

#### toJdbcException

    public SQLException toJdbcException()

Returns:
  JDBC exception containing details from this instance.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.9.0
Release Date | : October 15 2020